wordpress com stats plugin
Your browser (Internet Explorer 6) is out of date. It has known security flaws and may not display all features of this and other websites. Learn how to update your browser.
X
Post

I am not sure that @uber expanding first to courie…

I am not sure that @Uber expanding first to courier is smart. Not utilizing the infrastructure they built, just launching a new vertical.